{
   "buffs":
   [
   
    {
        "id" : "hedgeknight_riposte_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_riposte_TT",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitman_tt3_1",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedgeknight_splitman_tt3",
        "amount" : 5,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitman_tt3_2",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedgeknight_splitman_tt3",
        "amount" : 6,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitman_tt3_3",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedgeknight_splitman_tt3",
        "amount" : 7,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitman_tt3_4",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedgeknight_splitman_tt3",
        "amount" : 8,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitman_tt3_5",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedgeknight_splitman_tt3",
        "amount" : 9,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
        "float" : 0,
        "string" : ""
        }
    },
    {
        "id" : "hedgeknight_roundswing_tt_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_roundswing_tt_1",
        "amount" : 0,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_skillselection_tt_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_skillselection_tt_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_2",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_2",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_4_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_4_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_4_2",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_4_2",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_4_3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_4_3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_4_4",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_4_4",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_splitshield_tt_4_5",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_splitshield_tt_4_5",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_pummel_ignore_riposte_tt",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_pummel_ignore_riposte_tt",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_debuff",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_debuff",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_1_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_1_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_1_2",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_1_2",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_1_3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_1_3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_1_4",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_1_4",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_1_5",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_1_5",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_2_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_2_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_2_2",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_2_2",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_2_3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_2_3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_2_4",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_2_4",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_dismember_tt_2_5",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_dismember_tt_2_5",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_charge_stun_large_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_charge_stun_large_TT",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_self",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_self",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_heal_1",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_heal",
        "amount" : 3,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_heal_2",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_heal",
        "amount" : 3,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_heal_3",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_heal",
        "amount" : 4,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_heal_4",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_heal",
        "amount" : 4,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_heal_5",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_heal",
        "amount" : 5,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_DDheal_1",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_DDheal",
        "amount" : 15,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_DDheal_2",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_DDheal",
        "amount" : 15,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_DDheal_3",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_DDheal",
        "amount" : 18,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_DDheal_4",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_DDheal",
        "amount" : 18,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_DDheal_5",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_DDheal",
        "amount" : 20,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_mode1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_mode1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_mode3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_mode3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_buff",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_buff",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_dmgrecv_1",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_dmgrecv",
        "amount" : 20,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_dmgrecv_2",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_dmgrecv",
        "amount" : 23,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_dmgrecv_3",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_dmgrecv",
        "amount" : 27,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_dmgrecv_4",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_dmgrecv",
        "amount" : 31,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_dmgrecv_5",
        "stat_type" : "quirk_tag_evolution_duration",
        "stat_sub_type" : "hedge_indomitable_tt_dmgrecv",
        "amount" : 35,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_stunres_1",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_stunres_1",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_stunres_2",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_stunres_2",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_stunres_3",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_stunres_3",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_stunres_4",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_stunres_4",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedge_indomitable_tt_stunres_5",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedge_indomitable_tt_stunres_5",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "hedgeknight_TRINKET_very_rare_riposte_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "hedgeknight_TRINKET_very_rare_riposte_TT",
        "amount" : 1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "TRINKET_hedge_CC_self_bleed_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "TRINKET_hedge_CC_self_bleed_TT",
        "amount" : -1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "TRINKET_hedge_ship_DMGH_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "TRINKET_hedge_ship_DMGH_TT",
        "amount" : -1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "TRINKET_hedge_ship_DMGL_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "TRINKET_hedge_ship_DMGL_TT",
        "amount" : -1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "TRINKET_hedge_comet_clear_riposte_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "TRINKET_hedge_comet_clear_riposte_TT",
        "amount" : -1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    },
    {
        "id" : "SET_HEDGE_PERMA_RIPOSTE_TT",
        "stat_type" : "upgrade_discount",
        "stat_sub_type" : "SET_HEDGE_PERMA_RIPOSTE_TT",
        "amount" : -1,
        "remove_if_not_active" : false,
        "rule_type" : "always",
        "is_false_rule" : false,
        "rule_data" : {
            "float" : 0,
            "string" : ""
        }
    }
    ]
}